org.eclipse.net4j.db.ddl.delta

## Interface IDBDeltaVisitor

- All Known Implementing Classes:
    IDBDeltaVisitor.Copier, IDBDeltaVisitor.Default, IDBDeltaVisitor.Filter

      public interface IDBDeltaVisitor

  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDBDeltaVisitor.Copier`
    `static class` | `IDBDeltaVisitor.Default`
    `static class` | `IDBDeltaVisitor.Filter`
    `static class` | `IDBDeltaVisitor.StopRecursion`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(IDBFieldDelta delta)`
    `void` | `visit(IDBIndexDelta delta)`
    `void` | `visit(IDBIndexFieldDelta delta)`
    `void` | `visit(IDBPropertyDelta<?> delta)`
    `void` | `visit(IDBSchemaDelta delta)`
    `void` | `visit(IDBTableDelta delta)`

- - ### Method Detail

    - #### visit

          void visit(IDBSchemaDelta delta)

    - #### visit

          void visit(IDBTableDelta delta)

    - #### visit

          void visit(IDBFieldDelta delta)

    - #### visit

          void visit(IDBIndexDelta delta)

    - #### visit

          void visit(IDBIndexFieldDelta delta)

    - #### visit

          void visit(IDBPropertyDelta<?> delta)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html